/* ==========================================================================
   Blog List shortcode global style - begin
   ========================================================================== */

.mkdf-blog-list-holder {
	@include mkdfRelativeHolderLayout();
	clear: both;
	
	.mkdf-blog-list {
		@include mkdfRelativeHolderLayout();
		list-style: none;
		margin: 0;
		padding: 0;
	}
	
	.mkdf-bl-item {
		@include mkdfRelativeHolderLayout();
		padding: 0;
		margin: 0;
		box-sizing: border-box;
	}
	
	.mkdf-bli-inner {
		@include mkdfRelativeHolderLayout();
	}
	
	.mkdf-bli-content {
		@include mkdfRelativeHolderLayout();
		box-sizing: border-box;
	}
	
	.mkdf-post-image {
		@include mkdfRelativeHolderLayout();
		margin: 0 0 30px;
		overflow: hidden;
		
		img {
			display: block;
			@include mkdfTransform(translateZ(0));
			@include mkdfTransition(transform .5s ease);
			backface-visibility: hidden;
		}
		
		a {
			display: block;
			
			//&:after {
			//	@include mkdfAbsoluteHolderLayout();
			//	content: '';
			//	background: rgba(#fff, .35);
			//	opacity: 0;
			//	@include mkdfTransition(opacity 0.5s ease);
			//}
			//
			//&:hover {
			//	&:after {
			//		opacity: 1;
			//	}
			//}
		}

		&:hover {
			img {
				@include mkdfTransform(scale(1.03));
			}
		}
	}
	
	.mkdf-bli-info {
		@include mkdfRelativeHolderLayout();
		margin: 0 0 8px;
		clear: both;
		
		> div {
			position: relative;
			display: inline-block;
			vertical-align: top;
			font-size: 14px;
			font-weight: 600;
			line-height: 1.2;
			float: left;
			padding: 0 20px 5px 0;
			color: #b9b9b9;
			
			&:last-child {
				padding: 0 0 5px;
			}
			
			a {
				color: #b9b9b9;
				
				&:hover {
					color: #606264;
				}
			}
		}
	}
	
	.mkdf-post-title {
		margin: 0;
	}

	.mkdf-post-info-author-avatar-holder {
		overflow: hidden;
		display: inline-block;
		width: 30px;
		height: 30px;
		vertical-align: middle;
		margin-right: 13px;
		-webkit-border-radius: 50%;
		-moz-border-radius: 50%;
		border-radius: 50%;
	}
	
	.mkdf-post-excerpt {
		@include mkdfRelativeHolderLayout();
		margin: 14px 0 0;
		
		p {
			margin: 0;
		}
		
		&:after {
			content: '...';
		}
	}
	
	.mkdf-post-read-more-button {
		@include mkdfRelativeHolderLayout();
		margin: 12px 0 0;
	}
	
	/***** Columns Space style - begin *****/
	
	$columns_space_label: ('no', 'tiny', 'small', 'normal');
	$columns_space: (0, 5, 10, 15);
	
	@for $i from 0 to length($columns_space_label) {
		&.mkdf-bl-#{nth($columns_space_label,$i+1)}-space {
			$column_width: nth($columns_space, $i+1);
			$column_width_margin: $column_width * 2;
			
			.mkdf-bl-wrapper {
				@if($column_width == 0) {
					margin: 0;
				} @else {
					margin: 0 -#{$column_width}px;
				}
			}
			
			.mkdf-bl-item {
				padding: 0 #{$column_width}px;
				margin: 0 0 #{$column_width_margin}px;
			}
		}
	}
	
	/***** Columns Space style - end *****/
}
/* ==========================================================================
   Blog List shortcode global style - end
   ========================================================================== */